Skip to main content
PATCH
/
projects
/
{project_id}
/
keys
/
include
cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/include" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X PATCH \
  -d '{"branch":"my-feature-branch","q":"mykey* translated:true","target_locale_id":"abcd1234abcd1234abcd1234abcd1234","tags":"landing-page,release-1.2"}' \
  -H 'Content-Type: application/json'
phrase keys include \
--project_id <project_id> \
--data '{"branch":"my-feature-branch", "q":"'mykey* translated:true'", "target_locale_id":"abcd1234abcd1234abcd1234abcd1234", "tags":"landing-page,release-1.2"}' \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/keys/include"

payload = {
"branch": "my-feature-branch",
"q": "mykey* translated:true",
"target_locale_id": "abcd1234abcd1234abcd1234abcd1234",
"tags": "landing-page,release-1.2"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: 'my-feature-branch',
q: 'mykey* translated:true',
target_locale_id: 'abcd1234abcd1234abcd1234abcd1234',
tags: 'landing-page,release-1.2'
})
};

fetch('https://api.phrase.com/v2/projects/{project_id}/keys/include', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "records_affected": 2
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

Body

application/json
branch
string

specify the branch to use

Example:

"my-feature-branch"

q
string

Specify a query to do broad search for keys by name (including wildcards).

The following qualifiers are also supported in the search term:

  • ids:key_id,... for queries on a comma-separated list of ids
  • name:key_name for text queries on exact key names - spaces, commas, and colons need to be escaped with double backslashes
  • tags:tag_name to filter for keys with certain tags
  • translated:{true|false} for translation status (also requires locale_id to be specified)
  • updated_at:{>=|<=}2013-02-21T00:00:00Z for date range queries
  • unmentioned_in_upload:upload_id,... to filter keys unmentioned within upload. When multiple upload IDs provided, matches only keys not mentioned in all uploads

Find more examples here.

Example:

"mykey* translated:true"

target_locale_id
string

Include translations in locale

Example:

"abcd1234abcd1234abcd1234abcd1234"

tags
string

Tag or comma-separated list of tags to add to the matching collection of keys

Example:

"landing-page,release-1.2"

Response

OK

records_affected
integer